﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ClientWPFTest.ServiceReference1;
using Microsoft.Win32;

namespace ClientWPFTest {
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window {
		public MainWindow() {
			InitializeComponent();
		}

		private void Button_Click_1(object sender, RoutedEventArgs e) {
			OpenFileDialog dlg = new OpenFileDialog();
			dlg.Filter = "txt文件|*.txt";
			if (dlg.ShowDialog() ?? false) {
				this.label1.Content = dlg.FileName;
			}
		}

		private void Button_Click_2(object sender, RoutedEventArgs e) {
			FileStream fs = new FileStream(this.label1.Content.ToString(), FileMode.Open, FileAccess.Read);
			Service1Client sc = new Service1Client();
			ResultMessage rm=new ResultMessage();
			var response = sc.UploadFile(System.IO.Path.GetFileName(this.label1.Content.ToString()), fs,out rm.isSuccessed);
			if (rm.isSuccessed == true)
				this.label2.Content = "上传完成。";
			else
				this.label2.Content = "错误信息：" + rm.ErrorMessage;
		}
	}
}
