﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace WcfService1 {
	// NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "Service1" in both code and config file together.
	public class Service1 : IService1 {
		public string GetData(int value) {
			return string.Format("You entered: {0}", value);
		}

		public CompositeType GetDataUsingDataContract(CompositeType composite) {
			if (composite == null) {
				throw new ArgumentNullException("composite");
			}
			if (composite.BoolValue) {
				composite.StringValue += "Suffix";
			}
			return composite;
		}

		public Employee GetEmployeeInfo() {
			Employee em = new Employee();
			AddInfo info = new AddInfo();
			em.Name = "DK";
			em.Age = 12;
			info.City = "SH";
			info.DetailAddress = "DontKnow";
			em.Address = info;
			Dictionary<string, int> sc = new Dictionary<string, int>();
			sc.Add("体育", 10);
			em.Scores = sc;
			return em;
		}

		public ResultMessage UploadFile(FileMessageName fmn) {
			ResultMessage rsm = new ResultMessage();
			if (fmn == null || fmn.FileStream == null) {
				rsm.ErrorMessage = "传入无效";
				rsm.isSuccessed = false;
				return rsm;
			}
			try {
				FileStream fs = new FileStream(fmn.FileName, FileMode.OpenOrCreate, FileAccess.Write);
				fmn.FileStream.CopyTo(fs);
				fs.Flush();
				rsm.isSuccessed = true;
				Console.WriteLine("在{0}接受到客户端发送的流，已保存到{1}", DateTime.Now.ToLongTimeString(), fmn.FileName);
			} catch (Exception ex) {
				rsm.isSuccessed = false;
				rsm.ErrorMessage = ex.Message;
			}
			return rsm;
		}
	}
}
